WPXStylesListener Class Reference

`#include <WPXStylesListener.h>`

Inheritance diagram for WPXStylesListener:

## Protected Member Functions

| WPXStylesListener (std::list< WPXPageSpan > &pageList)
| ~WPXStylesListener () override
Protected Member Functions inherited from WPXListener
| WPXListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXListener ()
bool | isUndoOn ()
void | setUndoOn (bool isOn)

## Additional Inherited Members

Protected Attributes inherited from WPXListener
std::list< WPXPageSpan > & | m_pageList

## Constructor & Destructor Documentation

## WPXStylesListener()

WPXStylesListener::WPXStylesListener | ( | std::list< WPXPageSpan > & | pageList | ) |

protected

Referenced by WP1StylesListener::WP1StylesListener(), WP3StylesListener::WP3StylesListener(), WP42StylesListener::WP42StylesListener(), WP5StylesListener::WP5StylesListener(), and WP6StylesListener::WP6StylesListener().

## ~WPXStylesListener()

WPXStylesListener::~WPXStylesListener | ( |  | ) |

override protected

The documentation for this class was generated from the following files:

- WPXStylesListener.h
- WPXStylesListener.cpp